<?php




// Формируем id организации
if($_GET['_org_id']){
    $_org_id = $_GET['_org_id'];
}else{
    $_org_id = $_org_name_orijin[$_GET['_org_name']]['_org_id'];
}




$_work_names = execSQL('select _otdel_name, _otdel_id from view_personals WHERE _org_id='.$_org_id.''); // Подразделения
$wk_n = array_values($_work_names);




// Формируем id подразделения
if($_GET['otdel_id']){
    $otdel_id = $_GET['otdel_id'];
}else{
    $otdel_id = $_work_names[$_GET['_pos']]['_otdel_id'];
}





$arrOrg = execSQL('select _org_id , _org_name from view_personals  group by _org_id'); // Организации


if($_org_id){

    $_work_names_for_d = execSQL('select _otdel_id , _otdel_name from view_personals WHERE _org_id='.$_org_id.''); // Подразделения
    //print_r($_work_names_for_d);
    $ORGNAME_2 = $_work_names_for_d[$otdel_id]['_otdel_name'];

    $ORGNAME = $arrOrg[$_org_id]['_org_name'];
    ///
}else{
    $ORGNAME = $arrOrg[$_org_id]['_org_name'];
}




function getData($day){
    $date = getdate(mktime(0, 0, 0, date('m'), date('d') - $day, date('Y')));
    return $date[0];
} // Получение даты в строковом зачении при вычитании несколких ней


function countBallSum($arr){
    $r = 0;
    $sum = 0;
    while ($r < count($arr)){
        $sum = $sum + $arr[$r]['cnt'];
        $r++;
    }
    return $sum;
} // Сумма всех баллов в диапазоне дат


function calc_percent($value, $percent) {
    return  $value / ($percent / 100);
}


function numbers_in_percent($arrnum){
    if(count($arrnum) > 0){
        $sumCount = countBallSum($arrnum);
        $percentArr = array();
        $r = 0;
        while ($r < count($arrnum)){
            if($arrnum[$r]['cnt']){
                $c_sum = $arrnum[$r]['cnt'];
            }else{
                $c_sum = 0;
            }
            $arr_percent = calc_percent($c_sum, $sumCount);
            array_push($percentArr, round($arr_percent, 2));
            $r++;
        }
        return $percentArr;
    }
}


function trend($data){
    if($data){
        return $data;
    }else{
        return '0';
    }
}


function getUserInter($startDay,$endDay, $_org_id, $otdel_id){
    $day = getData($startDay);

    if($_GET['_org_name'] or $_GET['_org_id']){ // Фильтрация по организации

        if($otdel_id){
            // Подключаем еще подразделение
            if ($endDay){
                $endDay = getData($endDay);
                $res = execSQL('select t1.personal_id, count(t1.personal_id) as cnt, t2._org_id
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t1.c_data >= '.$day.' AND t2._org_id='.$_org_id.' AND t2.clss=211 AND t2.enabled=1  AND t1.c_data <= '.$endDay.' AND t2._otdel_id='.$otdel_id.' AND t1.answer_ball > 0 
                                        group by t1.personal_id');
            }else{
                $res = execSQL('select t1.personal_id, count(t1.personal_id) as cnt, t2._org_id
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t1.c_data >= '.$day.' AND t2._org_id='.$_org_id.' AND t2.clss=211 AND t2.enabled=1 AND t2._otdel_id='.$otdel_id.' AND t1.answer_ball > 0 
                                        group by t1.personal_id');
            }

        }else{
            // Только по организации

            if ($endDay){
                $endDay = getData($endDay);
                $res = execSQL('select t1.personal_id, count(t1.personal_id) as cnt, t2._org_id
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t1.c_data >= '.$day.' AND t2._org_id='.$_org_id.' AND t2.clss=211 AND t2.enabled=1  AND t1.c_data <= '.$endDay.'  AND t1.answer_ball > 0 
                                        group by t1.personal_id');
            }else{
                $res = execSQL('select t1.personal_id, count(t1.personal_id) as cnt, t2._org_id
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t1.c_data >= '.$day.' AND t2._org_id='.$_org_id.' AND t2.clss=211 AND t2.enabled=1 AND t1.answer_ball > 0 
                                        group by t1.personal_id');
            }
        }

    }else{
        if ($endDay){
            $endDay = getData($endDay);
            $res = execSQL('select personal_id,count(personal_id) as cnt from post_shift_poll WHERE c_data >= '.$day.' AND c_data <= '.$endDay.' AND answer_ball > 0  group by personal_id');
        }else{
            $res = execSQL('select personal_id,count(personal_id) as cnt from post_shift_poll WHERE c_data >= '.$day.'  AND answer_ball > 0 group by personal_id');
        }
    }

    return $res;
} // Получаем массив пользователей


function getArrayBall($startDay, $endDay, $_org_name_orijin, $otdel_id){
    $day = getData($startDay);

    if($_GET['_org_name'] or $_GET['_org_id']){ // Фильтрация по организации

        if($_GET['_org_id']){
            $_org_id = $_GET['_org_id'];
        }else{
            $_org_id = $_org_name_orijin[$_GET['_org_name']]['_org_id'];
        }

        if($otdel_id){ // Фильтрация по подразделению

            if ($endDay){

                $endDay = getData($endDay);
                $res = execSQL('select 
                                            t1.answer_ball, 
                                            sum(t1.answer_ball) as sm,
                                            count(t1.answer_ball) as cnt,
                                            t2._org_id
                                            
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey

                                        WHERE 
                                            t1.c_data >= '.$day.' AND t1.c_data <= '.$endDay.' 
                                        AND t2._org_id='.$_org_id.' AND t2.clss=211 AND t2.enabled=1 AND t2._otdel_id='.$otdel_id.' AND t1.answer_ball > 0 
                                        
                                        group by t1.answer_ball
                            ');
            }else{
                $res = execSQL('select 
                                            t1.answer_ball, 
                                            sum(t1.answer_ball) as sm,
                                            count(t1.answer_ball) as cnt,
                                            t2._org_id
                                            
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey

                                        WHERE 
                                            t1.c_data >= '.$day.'
                                        AND t2._org_id='.$_org_id.' AND t2.clss=211 AND t2.enabled=1 AND t2._otdel_id='.$otdel_id.' AND t1.answer_ball > 0 
                                        
                                        group by t1.answer_ball
                            ');
            }
            $ar = array_values($res);


        }else{
            // Выводим только по организации
            if ($endDay){
                $endDay = getData($endDay);
                $res = execSQL('select 
                                            t1.answer_ball, 
                                            sum(t1.answer_ball) as sm,
                                            count(t1.answer_ball) as cnt,
                                            t2._org_id
                                            
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey

                                        WHERE 
                                            t1.c_data >= '.$day.' AND t1.c_data <= '.$endDay.' 
                                        AND t2._org_id='.$_org_id.' AND t2.clss=211 AND t2.enabled=1 AND t1.answer_ball > 0 
                                        
                                        group by t1.answer_ball
                            ');
            }else{
                $res = execSQL('select 
                                            t1.answer_ball, 
                                            sum(t1.answer_ball) as sm,
                                            count(t1.answer_ball) as cnt,
                                            t2._org_id
                                            
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey

                                        WHERE 
                                            t1.c_data >= '.$day.'
                                        AND t2._org_id='.$_org_id.' AND t2.clss=211 AND t2.enabled=1 AND t1.answer_ball > 0 
                                        
                                        group by t1.answer_ball
                            ');
            }
            $ar = array_values($res);

        }


    }else{
        if ($endDay){
            $endDay = getData($endDay);
            $res = execSQL('select answer_ball, count(answer_ball) as cnt , sum(answer_ball) as sm from post_shift_poll WHERE c_data >= '.$day.' AND c_data <= '.$endDay.' AND answer_ball > 0  group by answer_ball');
        }else{
            $res = execSQL('select answer_ball, count(answer_ball) as cnt , sum(answer_ball) as sm from post_shift_poll WHERE c_data >= '.$day.' AND answer_ball > 0  group by answer_ball');
        }
        $ar = array_values($res);
    }



    //print_r($res);
    //echo '<br>';


    $countBall = [
        1 => [
            'answer_ball' => '1',
            '_org_id' => $_org_id,
            'cnt' => '',
            'sm' => '',
        ],
        2 => [
            'answer_ball' => '2',
            '_org_id' => $_org_id,
            'cnt' => '',
            'sm' => '',
        ],
        3 => [
            'answer_ball' => '3',
            '_org_id' => $_org_id,
            'cnt' => '',
            'sm' => '',
        ],
        4 => [
            'answer_ball' => '4',
            '_org_id' => $_org_id,
            'cnt' => '',
            'sm' => '',
        ],
        5 => [
            'answer_ball' => '5',
            '_org_id' => $_org_id,
            'cnt' => '',
            'sm' => '',
        ],
    ];


    $stepBall = 1;
    $countStep = 5;
    while ($stepBall <= $countStep){
        if (sizeof($ar)) foreach ($ar as $key => $value){
            if($value['answer_ball'] == $stepBall){
                $countBall[$stepBall]['cnt'] = $value['cnt'];
                $countBall[$stepBall]['sm'] = $value['sm'];
            }
        }
        $stepBall++;
    }

    $countBall = array_values($countBall);



    //print_r($countBall);
    //echo '<br><br>';



    return $countBall;
} // Получаем из бд выборку



// Сколько процентов занимает каждая оценка
///////           Нужно переделать
function nPercent($arr,$ball){

    $count = 0;
    if (sizeof($arr)) foreach ($arr as $key => $value) $count = $count + $value['cnt'];
    if($arr[$ball]['cnt'] and $count){
        $str = round($arr[$ball]['cnt'] / ($count / 100), 2).'';
    }else {
        $str = 0;
    }
    return $str;

}





function srBal($arr){
    $count = 0;
    $sum = 0;
    if (sizeof($arr)) foreach ($arr as $key => $value){
        $count = $count + $value['cnt'];
        $sum = $sum + $value['sm'];
    }
    if($sum and $count){
        $str = round($sum / $count, 2);
    }else{
        $str = 0;
    }
    return $str;
}


function getСhange($arr,$pos){
    if($arr[$pos] and $arr[$pos + 1]){
        $value = round($arr[$pos] / $arr[$pos + 1] - 1, 3);
    }else{
        $value = 0;
    }
    if($value > 0){
        $value = '<b style="color: green">'.$value.'%</b>';
    }else{
        if($value < 0){
            $value = '<b style="color: red">'.$value.'%</b>';
        }else{
            $value = '<b style="color: gray">'.$value.'%</b>';
        }
    }
    return $value;
}


function ballSum($arr,$column){
    $str = '0';
    if (sizeof($arr)) foreach ($arr as $key => $value) {
        /*if($key){ // Не считаем оценку 0
            $str = $str + $value[$column];
        }*/
        $str = $str + $value[$column];
    }
    return $str;
}


function srBallNK($sb_NK,$step){
    $cnt = 0;
    $sum = 0;
    while ($step <= count($sb_NK)){
        $cnt = $cnt + ballSum($sb_NK[$step],'cnt');;
        $sum = $sum + ballSum($sb_NK[$step],'sm');;
        $step++;
    }

    if($sum and $cnt){
        $str = round($sum / $cnt, 2);
    }else{
        $str =0;
    }
    return $str;
}


function diff($a, $b){
    if($a and $b){
        $value = round($a / $b - 1, 4);
    }else{
        $value = 0;
    }


    if($value > 0){
        $value = '<b style="color: green">'.$value.'%</b>';
    }else{
        if($value < 0){
            $value = '<b style="color: red">'.$value.'%</b>';
        }else{
            $value = '<b style="color: gray">'.$value.'%</b>';
        }
    }
    return $value;

}


// Подключаем выбранный интервал данных
$d_in = array(
    1 => array(1=>'1', 2=>'2', 3=>'3', 4=>'4', 5=>'5', 6=>'6', 7=>'7', 8=>'8', 9=>'9'), // day
    2 => array(1=>'7', 2=>'14', 3=>'21', 4=>'28', 5=>'35', 6=>'42', 7=>'49', 8=>'56', 9=>'63'), // week
    3 => array(1=>'30', 2=>'60', 3=>'90', 4=>'120', 5=>'150', 6=>'180', 7=>'210', 8=>'240', 9=>'270'), // month
    4 => array(1=>'1', 2=>'2', 3=>'4', 4=>'8', 5=>'16', 6=>'32', 7=>'62', 8=>'128', 9=>'256'), // progressive
);

$intervalName = ['','Суточный','Недельный','30 Дней','Прогрессивный'];

if($_GET['sel_in']){
    $in = $_GET['sel_in'];
}else{
    $in = 2;
}

$time_1 = getArrayBall($d_in[$in][1],'', $_org_name_orijin, $otdel_id);
$time_2 = getArrayBall($d_in[$in][2],$d_in[$in][1], $_org_name_orijin, $otdel_id);
$time_3 = getArrayBall($d_in[$in][3],$d_in[$in][2], $_org_name_orijin, $otdel_id);
$time_4 = getArrayBall($d_in[$in][4],$d_in[$in][3], $_org_name_orijin, $otdel_id);
$time_5 = getArrayBall($d_in[$in][5],$d_in[$in][4], $_org_name_orijin, $otdel_id);
$time_6 = getArrayBall($d_in[$in][6],$d_in[$in][5], $_org_name_orijin, $otdel_id);


// Массивы для расчёта ср балла с накоплением

$sb_NK = [$time_1,$time_2,$time_3,$time_4,$time_5,$time_6];

// Получаем массив средних оцнок

$timeIDT = [$time_1,$time_2,$time_3,$time_4,$time_5,$time_6];

//print_r($time_1); //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$arrSRB = [];
$t = 0;
while ($t < count($timeIDT)){
    array_push($arrSRB, srBal($timeIDT[$t]));
    $t++;
}

// end Получаем массив средних оцнок


$table_title_1 = [
    'Абсолютные',
    'Относительные',
    'Абсолютные',
    'Относительные',
    'Абсолютные',
    'Абсолютные',
];

$title_2 = [
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
];

$title_3 = [
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Абсолютные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные',
    'Относительные'
];

$table_title_2 = [
    '<b>Средняя оценка накоплением</b>',
    '<b>Изменение средней оценки накопления</b>',
    '<b>Средняя оценка</b>',
    '<b>Изменение средней оценки</b>',
    'Количество сотрудников в диапазоне',
    'Количество оценок в диапазоне',
    'Оценок 1 балл',
    'Оценок 2 балла',
    'Оценок 3 балла',
    'Оценок 4 балла',
    'Оценок 5 баллов',
    'Доля оценок 1 балл',
    'Доля оценок 2 балла',
    'Доля оценок 3 балла',
    'Доля оценок 4 балла',
    'Доля оценок 5 баллов',
    'Тревог 1 день',
    'Тревог 2 дня',
    'Тревог 3 дня',
    'Тревог 4 дня',
    'Тревог 5 дней',
    'Тревог 6 дней',
    'Тревог 7 дней',
    'Треревог и т.р. До макс',
    'Доля тревог Тревог 1 день',
    'Доля тревог Тревог 2 дня',
    'Доля тревог Тревог 3 дня',
    'Доля тревог Тревог 4 дня',
    'Доля тревог Тревог 5 дней',
    'Доля тревог Тревог 6 дней',
    'Доля тревог Тревог 7 дней',
    'Доля тревог Треревог и т.р. До макс',
    'Сумма Тревог Тревог 1 день',
    'Сумма Тревог Тревог 2 дня',
    'Сумма Тревог Тревог 3 дня',
    'Сумма Тревог Тревог 4 дня',
    'Сумма Тревог Тревог 5 дней',
    'Сумма Тревог Тревог 6 дней',
    'Сумма Тревог Тревог 7 дней',
    'Сумма Тревог Треревог и т.р. До макс',
    'Доля суммы Тревог 1 день',
    'Доля суммы Тревог 2 дня',
    'Доля суммы Тревог 3 дня',
    'Доля суммы Тревог 4 дня',
    'Доля суммы Тревог 5 дней',
    'Доля суммы Тревог 6 дней',
    'Доля суммы Тревог 7 дней',
    'Доля суммы Треревог и т.р. До макс'
];

$arr_data = [
    [srBallNK($sb_NK,'0'),srBallNK($sb_NK,'1'),srBallNK($sb_NK,'2'),srBallNK($sb_NK,'3'),srBallNK($sb_NK,'4'),srBallNK($sb_NK,'5')],
    [
        diff(srBallNK($sb_NK,'0'),srBallNK($sb_NK,'1')),
        diff(srBallNK($sb_NK,'1'), srBallNK($sb_NK,'2')),
        diff(srBallNK($sb_NK,'2'), srBallNK($sb_NK,'3')),
        diff(srBallNK($sb_NK,'3'), srBallNK($sb_NK,'4')),
        diff(srBallNK($sb_NK,'4'), srBallNK($sb_NK,'5')),
        '-'
    ],
    [$arrSRB[0],$arrSRB[1],$arrSRB[2],$arrSRB[3],$arrSRB[4],$arrSRB[5],$arrSRB[6]],
    [getСhange($arrSRB,'0'), getСhange($arrSRB,'1'), getСhange($arrSRB,'2'), getСhange($arrSRB,'3'), getСhange($arrSRB,'4'),'-'],

    [
        count(getUserInter($d_in[$in][1],'', $_org_id, $otdel_id)),
        count(getUserInter($d_in[$in][2],$d_in[$in][1], $_org_id, $otdel_id)),
        count(getUserInter($d_in[$in][3],$d_in[$in][2], $_org_id, $otdel_id)),
        count(getUserInter($d_in[$in][4],$d_in[$in][3], $_org_id, $otdel_id)),
        count(getUserInter($d_in[$in][5],$d_in[$in][4], $_org_id, $otdel_id)),
        count(getUserInter($d_in[$in][6],$d_in[$in][5], $_org_id, $otdel_id)),
    ],

    [
        countBallSum(getArrayBall($d_in[$in][1],'', $_org_name_orijin, $otdel_id)),
        countBallSum(getArrayBall($d_in[$in][2],$d_in[$in][1], $_org_name_orijin, $otdel_id)),
        countBallSum(getArrayBall($d_in[$in][3],$d_in[$in][2], $_org_name_orijin, $otdel_id)),
        countBallSum(getArrayBall($d_in[$in][4],$d_in[$in][3], $_org_name_orijin, $otdel_id)),
        countBallSum(getArrayBall($d_in[$in][5],$d_in[$in][4], $_org_name_orijin, $otdel_id)),
        countBallSum(getArrayBall($d_in[$in][6],$d_in[$in][5], $_org_name_orijin, $otdel_id)),
    ],
];


$arr_data_t2 = [
    [$time_1[0]['cnt'], $time_2[0]['cnt'], $time_3[0]['cnt'], $time_4[0]['cnt'], $time_5[0]['cnt'], $time_6[0]['cnt'],],
    [$time_1[1]['cnt'], $time_2[1]['cnt'], $time_3[1]['cnt'], $time_4[1]['cnt'], $time_5[1]['cnt'], $time_6[1]['cnt'],],
    [$time_1[2]['cnt'], $time_2[2]['cnt'], $time_3[2]['cnt'], $time_4[2]['cnt'], $time_5[2]['cnt'], $time_6[2]['cnt'],],
    [$time_1[3]['cnt'], $time_2[3]['cnt'], $time_3[3]['cnt'], $time_4[3]['cnt'], $time_5[3]['cnt'], $time_6[3]['cnt'],],
    [$time_1[4]['cnt'], $time_2[4]['cnt'], $time_3[4]['cnt'], $time_4[4]['cnt'], $time_5[4]['cnt'], $time_6[4]['cnt'],],
    //[$time_1[5]['cnt'], $time_2[5]['cnt'], $time_3[5]['cnt'], $time_4[5]['cnt'], $time_5[5]['cnt'], $time_6[5]['cnt'],],


    [nPercent($time_1,'0'), nPercent($time_2,'0'), nPercent($time_3,'0'), nPercent($time_4,'0'), nPercent($time_5,'0'), nPercent($time_6,'0')],
    [nPercent($time_1,'1'), nPercent($time_2,'1'), nPercent($time_3,'1'), nPercent($time_4,'1'), nPercent($time_5,'1'), nPercent($time_6,'1')],
    [nPercent($time_1,'2'), nPercent($time_2,'2'), nPercent($time_3,'2'), nPercent($time_4,'2'), nPercent($time_5,'2'), nPercent($time_6,'2')],
    [nPercent($time_1,'3'), nPercent($time_2,'3'), nPercent($time_3,'3'), nPercent($time_4,'3'), nPercent($time_5,'3'), nPercent($time_6,'3')],
    [nPercent($time_1,'4'), nPercent($time_2,'4'), nPercent($time_3,'4'), nPercent($time_4,'4'), nPercent($time_5,'4'), nPercent($time_6,'4')],
    //[nPercent($time_1,'5'), nPercent($time_2,'5'), nPercent($time_3,'5'), nPercent($time_4,'5'), nPercent($time_5,'5'), nPercent($time_6,'5')],
];


$count_All = execSQL('select personal_id,count(personal_id) as cnt from post_shift_poll group by personal_id');


$count_active = execSQL('select t1.personal_id, count(t1.personal_id) as cnt
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t2.clss=211 AND t2.enabled=1
                                        group by t1.personal_id');


$count_active_ball = execSQL('select t1.personal_id, count(t1.personal_id) as cnt
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t2.clss=211 AND t2.enabled=1 AND t1.answer_ball > 0 
                                        group by t1.personal_id');


if($_GET['_org_name'] or $otdel_id){
    if($otdel_id){
        $count_All_filter = execSQL('select t1.personal_id, count(t1.personal_id) as cnt
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t2.clss=211 AND t2.enabled=1 AND t1.answer_ball > 0  AND t2._org_id='.$_org_id.' AND t2._otdel_id='.$otdel_id.'
                                        group by t1.personal_id');
    }else{
        $count_All_filter = execSQL('select t1.personal_id, count(t1.personal_id) as cnt
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t2.clss=211 AND t2.enabled=1 AND t1.answer_ball > 0 AND t2._org_id='.$_org_id.'
                                        group by t1.personal_id');
    }
}else{
    $count_All_filter = $count_active_ball;
}

if($_GET['_org_name'] or $otdel_id){
    if($otdel_id){
        $userMO_noball = execSQL('select t1.personal_id, count(t1.personal_id) as cnt
                                        FROM post_shift_poll t1 
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t2.clss=211 AND t2.enabled=1 AND t2._org_id='.$_org_id.' AND t2._otdel_id='.$otdel_id.'
                                        group by t1.personal_id');

        $count_All_filter_noBall = execSQL('select pkey, count(pkey) as cnt
                                        FROM view_personals WHERE clss=211 AND enabled=1 AND _org_id='.$_org_id.'  AND _otdel_id='.$otdel_id.'
                                        group by pkey');

    }else{
        $userMO_noball = execSQL('select t1.personal_id, count(t1.personal_id) as cnt
                                        FROM post_shift_poll t1
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t2.clss=211 AND t2.enabled=1 AND t2._org_id='.$_org_id.'
                                        group by t1.personal_id');

        $count_All_filter_noBall = execSQL('select pkey, count(pkey) as cnt
                                        FROM view_personals WHERE clss=211 AND enabled=1 AND _org_id='.$_org_id.'
                                        group by pkey');

    }
}else{

    $userMO_noball = execSQL('select t1.personal_id, count(t1.personal_id) as cnt
                                        FROM post_shift_poll t1
                                        LEFT JOIN view_personals t2 ON t1.personal_id = t2.pkey
                                        WHERE t2.clss=211 AND t2.enabled=1
                                        group by t1.personal_id');


    $count_All_filter_noBall = execSQL('select pkey, count(pkey) as cnt
                                        FROM view_personals WHERE clss=211 AND enabled=1
                                        group by pkey');

    //$count_All_filter_noBall = $count_active;
}


$a_1 = count($count_All_filter);
$a_2 = count($userMO_noball);

if($a_1 and $a_2){
    $pIGR = 100 - ($a_1 / $a_2 * 100);
    $pIgnor = round($pIGR);
}else{
    $pIgnor = 0;
}

$cntIgnore = count($userMO_noball) - count($count_All_filter);

$pIgnor = $cntIgnore.' ('.$pIgnor.'%)';


$excluded = count($count_All_filter_noBall) - count($count_All_filter).' ('. round(100 - (count($count_All_filter) / count($count_All_filter_noBall) * 100)) .'%)';






if($_GET['_org_id']){
    $_org_id = $_GET['_org_id'];
}else{
    $_org_id = $_org_name_orijin[$_GET['_org_name']]['_org_id'];
}


if($_GET['_org_name'] or $_GET['_org_id']){
    if($otdel_id){
        $lvl = 'подразделение - '.$ORGNAME_2;
    }else{
        $lvl = 'организация - '.$ORGNAME;
    }
}else{
    $lvl = 'вся БД';
}


